Bug 788994 (CVE-2011-3571, CVE-2012-0507) - CVE-2012-0507 OpenJDK: AtomicReferenceArray insufficient array type check (Concurrency, 7082299)
Summary: CVE-2012-0507 OpenJDK: AtomicReferenceArray insufficient array type check (Co...
Status: CLOSED ERRATA
Alias: CVE-2011-3571, CVE-2012-0507
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20120214,repor...
Keywords: Security
Depends On: 787142 787143 787144 787145 788202 788203 788204 788205 788206 813689 813690 813691 813692 814225 814226 814227 814228
Blocks: 786724
TreeView+ depends on / blocked
 
Reported: 2012-02-09 14:32 UTC by Tomas Hoger
Modified: 2018-11-27 19:53 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-04-25 07:03:05 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0135 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2012-02-15 04:42:17 UTC
Red Hat Product Errata RHSA-2012:0139 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2012-02-17 00:00:49 UTC
Red Hat Product Errata RHSA-2012:0322 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2012-02-22 02:57:32 UTC
Red Hat Product Errata RHSA-2012:0508 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2013-11-15 00:09:52 UTC
Red Hat Product Errata RHSA-2012:0514 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-13 16:13:53 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC

Description Tomas Hoger 2012-02-09 14:32:37 UTC
The AtomicReferenceArray class implementation did not properly check if the array is of an expected Object[] type.  A malicious Java application or applet could use this flaw to cause Java Virtual Machine to crash or bypass Java sandbox restrictions.

Comment 4 Vincent Danen 2012-02-14 23:10:26 UTC
External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2012-366318.html

Comment 5 errata-xmlrpc 2012-02-14 23:43:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0135 https://rhn.redhat.com/errata/RHSA-2012-0135.html

Comment 6 Tomas Hoger 2012-02-15 08:41:51 UTC
Patches were applied in following IcedTea versions:

* IcedTea6 1.8.13 (based on OpenJDK6 b18)
* IcedTea6 1.9.13 (based on OpenJDK6 b20)
* IcedTea6 1.10.6 (based on OpenJDK6 b22)
* IcedTea6 1.11.1 (based on OpenJDK6 b24)
* IcedTea 2.0.1 (based on OpenJDK7 u1 + u3 security patches)

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017249.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017233.html

Patch:
http://icedtea.classpath.org/hg/release/icedtea6-1.10/file/4e7a700d4ecc/patches/security/20120214/7082299.patch

Comment 7 Tomas Hoger 2012-02-15 08:44:40 UTC
Adding JDK7 fix link for the sake of completeness:
http://icedtea.classpath.org/hg/release/icedtea7-forest-2.0/jdk/rev/d063a88899f9

Comment 8 errata-xmlrpc 2012-02-16 19:02:03 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0139 https://rhn.redhat.com/errata/RHSA-2012-0139.html

Comment 9 errata-xmlrpc 2012-02-21 21:58:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0322 https://rhn.redhat.com/errata/RHSA-2012-0322.html

Comment 10 Tomas Hoger 2012-02-24 18:14:39 UTC
Write up with more details of the flaw:
http://weblog.ikvm.net/PermaLink.aspx?guid=cd48169a-9405-4f63-9087-798c4a1866d3

Comment 11 Tomas Hoger 2012-02-24 19:58:47 UTC
Oracle CPU page was updated to note new CVE for this issue, see "Modification History":

  2012-February-17 	Rev 2. Replaced CVE-2011-3571 with CVE-2012-0507

  http://www.oracle.com/technetwork/topics/security/javacpufeb2012-366318.html

Updating this bug accordingly.

Comment 14 errata-xmlrpc 2012-04-23 17:04:13 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0508 https://rhn.redhat.com/errata/RHSA-2012-0508.html

Comment 17 errata-xmlrpc 2012-04-24 19:36:34 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0514 https://rhn.redhat.com/errata/RHSA-2012-0514.html

Comment 18 errata-xmlrpc 2013-10-23 17:03:31 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.